--- title: "Get service list" slug: "ai-application-service-aitems-service-list" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get service list Available in Classic and VPC Get the list of all created services. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /services | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Integer | Optional | Start location of query data - Default: 0 | | `limit` | Integer | Optional | Maximum number of query data - Default: 1000 | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `services` | Array | - | Service information: [services](/docs/en/ai-application-service-aitems-service-list#services) | | `offset` | Integer | - | Start location of query data | | `limit` | Integer | - | Maximum number of query data | #### `services` The following describes `services`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `name` | String | - | Service name | | `status` | String | - | Service status - `scheduled` \| `scheduledLearning` \| `learnable` \| `learning` \| `deleting` \| `deleted` \| `disable` \| `drafted` \| `requestLearning` \| `datasetRequired` - `scheduled`: scheduled - `scheduledLearning`: scheduled training in progress - `learnable`: trainable - `learning`: training in progress - `deleting`: deleting - `deleted`: deleted - `disable`: training unavailable - `drafted`: draft status - `requestLearning`: training requested - `datasetRequired`: no dataset specified after service creation | | `createdDate` | String | - | Service creation date and time | | `updatedDate` | String | - | Last update date and time of the service | | `actionName` | String | - | Sub Account permissions for the queried item | | `permission` | String | - | Sub Account permission allowance | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "services": [ { "serviceId": "b28ao******", "name": "String", "status": "datasetRequired", "createdDate": "2024-07-29T17:28:39.698", "updatedDate": "2024-07-29T17:28:39.698", "actionName": "View/getServiceDetail", "permission": "Allow" }, { "serviceId": "fboyb******", "name": "service", "status": "datasetRequired", "createdDate": "2024-07-29T16:17:37.235", "updatedDate": "2024-07-29T16:17:37.235", "actionName": "View/getServiceDetail", "permission": "Allow" } ], "offset": 0, "limit": 1000 } ```